import { httpApi } from '../../request/httpApi'

export default {
    //分页数据
    async getPageData(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/page',
            method: 'get',
            params: form,
        })
    },
    //获取系统所有角色划分
    async queryAllRoleList(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/queryAllRoleList',
            method: 'get',
            params: form,
        })
    },
    //详情
    async queryFixedFlowDetail(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/detail',
            method: 'get',
            params: form,
        })
    },
    //新增
    async addFixedFlowData(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/save',
            method: 'post',
            data: form,
        })
    },
    //修改
    async updateFixedFlowData(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/update',
            method: 'post',
            data: form,
        })
    },
    //删除
    async removeFixedFlowData(form) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/remove',
            method: 'post',
            params: form,
        })
    },
}
